Tower

Help & Support

I'm getting the following error with git-svn: "Can't locate SVN/Core.pm..."

When using Tower on OS X 10.8 with Subversion Repositories (git-svn), the following error can occur:

    Can't locate SVN/Core.pm in @INC (@INC contains: [...]

Since version 10.8, Mac OS X does not include certain PERL Subversion libraries anymore which are required by the git-svn installation bundled with Tower.

The only solution at the moment is as follows:

  1. Download and install the latest Xcode command line tools from Apple: developer.apple.com/downloads
  2. Change the Git binary used by Tower. You can do so by opening Tower's preferences on the "Git Config" tab. There, you should configure to use the system binary ( /usr/bin/git).